javax.persistence.metamodel

## Interface Bindable<T>

All Known Subinterfaces:
  CollectionAttribute<X,E>, EntityType<X>, ListAttribute<X,E>, MapAttribute<X,K,V>, PluralAttribute<X,C,E>, SetAttribute<X,E>, SingularAttribute<X,T>

    public interface Bindable<T>

### Nested Class Summary

Nested Classes
`static class` `Bindable.BindableType`

### Method Summary

All Methods Instance Methods Abstract Methods
`Class<T>` `getBindableJavaType()`
`Bindable.BindableType` `getBindableType()`

### Method Detail

#### getBindableType

    Bindable.BindableType getBindableType()

#### getBindableJavaType

    Class<T> getBindableJavaType()